[PACKAGE]: ../../raw/master/mkp/squid-2.1.1-20240514.mkp "squid-2.1.1-20240514.mkp"
# Squid Web Proxy

This CheckMK plugin monitors the performance of the _**Squid Web Proxy**_. This plugin is intended to use with the Agent Bakery of CheckMK.

---
### Acnowlegement

This plugin is based on the work of Allan GooD: allan[dot]cassaro[at]gmail[dot]com. See https://github.com/allangood/check_mk/tree/master/plugins/squid for more details.

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_Squid_** the items _**Client**_, _**Server**_, _**CPU**_ and _**DNS**_.

<details><summary>Montoring states</summary>

| State     | Counter                    | condition     | WATO   |
| -----     | -----                      |------         | ------ |
| WARN/CRIT | Client Requests            | not in levels | yes    |
| WARN/CRIT | Client Hits                | not in levels | yes    |
| WARN/CRIT | Server Requests            | not in levels | yes    |
| WARN/CRIT | CPU Usage                  | not in levels | yes    |
| WARN/CRIT | DNS response time          | not in levels | yes    |
| WARN/CRIT | File descriptors available | not in levels | yes    |


</details>

<details><summary>Perfdata</summary>

| Metric                     | Unit    | Perfometer |
| ------                     | ------  | ------     |
| Client requests            | 1/s     | no         |
| Client errors              | 1/s     | no         |
| Client hits                | 1/s     | no         |
| Client bytes in/out        | bit/s   | yes        |
| Server requests            | 1/s     | no         |
| Server errors              | 1/s     | no         |
| Server bytes in/out        | bit/s   | yes        |
| CPU utilization            | %       | yes        |
| CPU time                   | seconds | no         |
| DNS response time          | seconds | yes        |
| SWAP in/out                | 1/s     | no         |
| SWAP Files cleaned         | 1/s     | no         |
| File descriptors Maximum   | count   | no         |
| File descriptors Available | count   | yes        |
| File descriptors Reserved  | count   | no         |


</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

| Section                            | Rule name       |
| ------                             | ------          |
| Applications, Processes & Services | Squid Web Proxy |

| Option                                    | Defailt value | Predictive | 
| ------                                    | ------        | ---------- |
| Set levels for Client Requests            | none          | optional   |
| Set levels for Client Hits                | none          | optional   |
| Set levels for Server Requests            | none          | optional   |
| Set levels for Squid CPU usage            | 60.0/80.0     | optional   |
| Set levels for DNS response time          | 2.0/4.0       | no         |
| Set levels for available file descriptors | none          | optional   |

</details> 

<details><summary>Bakery rule</summary>

| Section     | Rule name               |
| ------      | ------                  |
| Agent rules | Squid Web Proxy (Linux) |

| Option              | Defailt value |
| ------              | ------        |
| IP Address/Hostname | localhost     |
| Port number         | 3128          |

</details> 

---
### Sample Output

Sample output

![sample output](img/sample.png?raw=true "sample output")
